From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/ksh/
Date: Wed, 11 Dec 2019 20:39:12 +0000 (UTC) [thread overview]
Message-ID: <1576096748.8b42bd86078841fb1a871588694463c63f4a48ab.floppym@gentoo> (raw)
commit: 8b42bd86078841fb1a871588694463c63f4a48ab
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 11 20:38:42 2019 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Wed Dec 11 20:39:08 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b42bd86
app-shells/ksh: addwrite /proc/self for tests
Closes: https://bugs.gentoo.org/702570
Package-Manager: Portage-2.3.80_p5, Repoman-2.3.19_p4
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
app-shells/ksh/ksh-2020.0.0.ebuild | 3 ++-
app-shells/ksh/ksh-9999.ebuild | 13 +++++++++++++
2 files changed, 15 insertions(+), 1 deletion(-)
diff --git a/app-shells/ksh/ksh-2020.0.0.ebuild b/app-shells/ksh/ksh-2020.0.0.ebuild
index c2f9bb7797e..6b40cd31299 100644
--- a/app-shells/ksh/ksh-2020.0.0.ebuild
+++ b/app-shells/ksh/ksh-2020.0.0.ebuild
@@ -30,12 +30,13 @@ PATCHES=(
)
src_test() {
+ # https://bugs.gentoo.org/702570
+ addwrite /proc/self
local cmd=(
meson test
-C "${BUILD_DIR}"
--num-processes "$(makeopts_jobs ${NINJAOPTS:-${MAKEOPTS}})"
)
-
echo "${cmd[@]}" >&2
# https://github.com/att/ast/issues/1392
env -u T "${cmd[@]}" || die
diff --git a/app-shells/ksh/ksh-9999.ebuild b/app-shells/ksh/ksh-9999.ebuild
index 2ccad3528bf..9e136daa8ef 100644
--- a/app-shells/ksh/ksh-9999.ebuild
+++ b/app-shells/ksh/ksh-9999.ebuild
@@ -24,6 +24,19 @@ SLOT="0"
RDEPEND="!app-shells/pdksh"
+src_test() {
+ # https://bugs.gentoo.org/702570
+ addwrite /proc/self
+ local cmd=(
+ meson test
+ -C "${BUILD_DIR}"
+ --num-processes "$(makeopts_jobs ${NINJAOPTS:-${MAKEOPTS}})"
+ )
+ echo "${cmd[@]}" >&2
+ # https://github.com/att/ast/issues/1392
+ env -u T "${cmd[@]}" || die
+}
+
src_install() {
meson_src_install
dodir /bin
next reply other threads:[~2019-12-11 20:39 UTC|newest]
Thread overview: 62+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-11 20:39 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-11 11:29 [gentoo-commits] repo/gentoo:master commit in: app-shells/ksh/ Sam James
2024-07-03 5:38 Joonas Niilola
2024-07-03 2:33 Sam James
2024-07-03 2:10 Sam James
2024-07-03 2:10 Sam James
2024-07-03 2:10 Sam James
2024-07-03 0:54 Sam James
2024-07-03 0:54 Sam James
2024-01-09 2:40 Sam James
2024-01-09 1:02 Sam James
2023-09-18 9:50 Sam James
2022-12-27 19:53 Sam James
2022-12-27 19:45 Sam James
2022-12-27 13:40 Sam James
2022-12-27 11:31 Sam James
2022-12-02 18:44 WANG Xuerui
2022-11-23 0:27 Georgy Yakovlev
2022-11-23 0:27 Georgy Yakovlev
2022-09-19 6:27 Georgy Yakovlev
2022-09-16 20:57 Georgy Yakovlev
2022-09-16 20:57 Georgy Yakovlev
2022-09-16 20:57 Georgy Yakovlev
2022-02-16 7:01 Matt Turner
2021-12-27 20:08 Arthur Zamarin
2021-12-21 11:03 James Le Cuirot
2021-12-18 3:08 Georgy Yakovlev
2021-12-18 2:10 Sam James
2021-12-17 15:28 Stephan Hartmann
2021-12-15 16:53 Mike Gilbert
2021-12-15 15:48 Arthur Zamarin
2021-12-15 8:23 Arthur Zamarin
2021-12-15 7:57 Arthur Zamarin
2021-12-15 7:13 Georgy Yakovlev
2021-12-15 7:07 Georgy Yakovlev
2021-12-15 6:55 Georgy Yakovlev
2021-12-15 6:45 Georgy Yakovlev
2021-12-15 6:45 Georgy Yakovlev
2021-12-15 6:45 Georgy Yakovlev
2021-12-15 6:45 Georgy Yakovlev
2021-12-15 5:32 Georgy Yakovlev
2021-12-15 5:32 Georgy Yakovlev
2021-12-15 5:32 Georgy Yakovlev
2021-09-05 19:01 Mike Gilbert
2020-12-01 16:13 Mike Gilbert
2019-09-17 2:19 Mike Gilbert
2019-09-01 16:24 Mike Gilbert
2019-09-01 14:32 Mike Gilbert
2019-05-28 4:01 Mike Gilbert
2019-05-04 16:03 Mike Gilbert
2019-05-04 16:03 Mike Gilbert
2018-04-01 20:10 Mike Gilbert
2018-02-15 17:20 Mike Gilbert
2018-02-14 20:07 Mike Gilbert
2018-01-29 23:10 Mike Gilbert
2017-01-02 8:00 Justin Lecher
2016-12-30 11:12 Agostino Sarubbo
2016-12-30 9:39 Agostino Sarubbo
2016-09-05 0:33 Mike Gilbert
2016-05-31 15:05 Tobias Klausmann
2016-05-13 8:41 Agostino Sarubbo
2016-04-26 17:35 Markus Meier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1576096748.8b42bd86078841fb1a871588694463c63f4a48ab.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox